Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.epochx.stats
Enum CrossoverStatField

    java.lang.Object
      java.lang.Enum<CrossoverStatField>
          com.epochx.stats.CrossoverStatField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrossoverStatField>

    public enum CrossoverStatField

extends java.lang.Enum<CrossoverStatField>

This enum gives all the available crossover statistics that can be requested. Crossover statistics are those statistics that are generated per crossover operation. Each CrossoverStatField has a datatype related to it which is the type which the data will be returned in.

See Also:
  `CrossoverStatListener`, `GenerationStatField`, `MutationStatField`, `RunStatField`

Enum Constant Summary
`CHILDREN` Requests a CandidateProgram[] (typically with 2 elements) which are the children that resulted from crossing over the parents.
`PARENTS` Requests a CandidateProgram[] (typically with 2 elements) which are the parents that were crossed-over to give the children.
`REVERTED_CROSSOVERS` Requests an Integer which is the number of crossovers that were reverted due to model rejection.
`RUN_TIME` Requests a Long which is the length of time in nanoseconds that the crossover operation took to complete.

Method Summary
`static CrossoverStatField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrossoverStatField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARENTS

    public static final CrossoverStatField PARENTS

  Requests a CandidateProgram[] (typically with 2 elements) which are the parents that were crossed-over to give the children.

### CHILDREN

    public static final CrossoverStatField CHILDREN

  Requests a CandidateProgram[] (typically with 2 elements) which are the children that resulted from crossing over the parents.

### RUN_TIME

    public static final CrossoverStatField RUN_TIME

  Requests a Long which is the length of time in nanoseconds that the crossover operation took to complete.

### REVERTED_CROSSOVERS

    public static final CrossoverStatField REVERTED_CROSSOVERS

  Requests an Integer which is the number of crossovers that were reverted due to model rejection.

Method Detail

### values

    public static CrossoverStatField[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CrossoverStatField c : CrossoverStatField.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CrossoverStatField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD